Core APIReferenceUserAddress

/user/{address}/compliance

Checks compliance for a user and retrieves predicate message if compliant

GET
/user/{address}/compliance

Checks compliance for a user and retrieves predicate message if compliant

Path Parameters

address*string

User address

Match^0x[a-fA-F0-9]+$

Query Parameters

chainId?number

Optional. Chain ID

Default1
isDepositAndBridge?string

Optional. Indicates if the compliance check is for deposit and bridge interaction. Defaults to false.

Defaultfalse
isZapper?string

Optional. Indicates if bridge uses zapper (usdt -> usdc swap). Defaults to false.

Defaultfalse
isSolana?string

Optional. Indicates solana deposits. Defaults to false.

Defaultfalse
isNewProxy?string

Optional. Indicates if the new proxy is used. Defaults to false.

Defaultfalse
nestComposerAddress?string

Optional. The Nest composer address extracted from CCTP hook data. Required for Solana deposits.

Match^0x[a-fA-F0-9]{40}$
predicateFromAddress?string

Optional. Override predicate "from" with executor address (bundled EVM flow).

Match^0x[a-fA-F0-9]{40}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/user/0x1234567890123456789012345678901234567890/compliance"
{  "data": {    "isCompliant": true,    "predicateMessage": {      "taskId": "string",      "expireByBlockNumber": 0,      "expireByTime": 0,      "signerAddresses": [        "string"      ],      "signatures": [        "string"      ]    }  }}